Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
pmhoang

Giúp sữa lại lisp đánh số thứ tự.

Các bài được khuyến nghị

Lisp nay trong thư viện của CadViet, tác dụng của nó là đánh số thứ tự tăng dần, từ 1 số bắt đầu.

Mình sử dụng nhiều thấy nó có khuyết điểm là mỗi lần chọn là phải nhập vào số bắt đầu. Mà mình thì làm rất là nhiều lần đánh số như vậy. Mình nghĩ nếu mà sữa lisp lại không còn phải nhập số nữa mà lấy giá trị số đầu tiên làm chuẩn và sau đó tăng các số còn lại là ok

Vì thường số thứ tự sẽ tăng nối tiếp nhau, cho nên không cần phải nhập số vào --> Làm chập quá trình vẽ.

 

Mong các bạn giúp với, Mình có gởi Lisp kèm theo. các bạn hoàn chỉnh nó nhé. Thanks

Sao mình không tìm ra chổ nào để gởi file kèm theo?

 

;****************************************

(princ "\nCADViet.com © 2007")

(princ "\ndchu - free lisp from www.cadviet.com")

;****************************************

(defun c:dchu

(/ tdt csht sdt index tt entdt)

(defun thay

(tt key moi / cu)

(setq cu (assoc key tt))

(subst (cons key moi) cu tt)

)

(setq tdt

(ssget '((0 . "TEXT")))

csht (getint "\nSo bat dau: ")

sdt (sslength tdt) index 0

)

(repeat sdt

(setq entdt

(ssname tdt index)

index (1+ index)

tt (entget entdt)

tt (thay tt 1 (itoa csht))

csht (1+ csht)

)

(entmod tt)

(entupd entdt)

)

(princ)

)

(princ)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Lisp nay trong thư viện của CadViet, tác dụng của nó là đánh số thứ tự tăng dần, từ 1 số bắt đầu.

Mình sử dụng nhiều thấy nó có khuyết điểm là mỗi lần chọn là phải nhập vào số bắt đầu. Mà mình thì làm rất là nhiều lần đánh số như vậy. Mình nghĩ nếu mà sữa lisp lại không còn phải nhập số nữa mà lấy giá trị số đầu tiên làm chuẩn và sau đó tăng các số còn lại là ok

Vì thường số thứ tự sẽ tăng nối tiếp nhau, cho nên không cần phải nhập số vào --> Làm chập quá trình vẽ.

 

Mong các bạn giúp với, Mình có gởi Lisp kèm theo. các bạn hoàn chỉnh nó nhé. Thanks

Sao mình không tìm ra chổ nào để gởi file kèm theo?

 

;****************************************

(princ "\nCADViet.com © 2007")

(princ "\ndchu - free lisp from www.cadviet.com")

;****************************************

(defun c:dchu

(/ tdt csht sdt index tt entdt)

(defun thay

(tt key moi / cu)

(setq cu (assoc key tt))

(subst (cons key moi) cu tt)

)

(setq tdt

(ssget '((0 . "TEXT")))

csht (getint "\nSo bat dau: ")

sdt (sslength tdt) index 0

)

(repeat sdt

(setq entdt

(ssname tdt index)

index (1+ index)

tt (entget entdt)

tt (thay tt 1 (itoa csht))

csht (1+ csht)

)

(entmod tt)

(entupd entdt)

)

(princ)

)

(princ)

 

 

Mình có sẵn LISP này như bạn yêu cầu rồi, copy về xài thôi nhé.Lệnh là : vc

link : http://www.cadviet.com/upfiles/COPYINTELIGENT_1.lsp

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×